IF OBJECT_ID('[Calendars_Deployments]') IS NOT NULL DROP VIEW [Calendars_Deployments]
GO

CREATE VIEW [Calendars_Deployments]
AS

	SELECT
        [Pipeline_Name] = COALESCE(B.[Pipeline_Name], R.[Pipeline_Name])
       ,BP.[PipelineStage_Name]
       ,A.[Application_Id]
       ,A.[Application_Name]
       ,E.[Environment_Id]
       ,E.[Environment_Name]
       ,X.[Start_Date]
       ,X.[End_Date]
       ,X.[ExecutionRunState_Code]
       ,R.[Release_Id]
       ,[Release_Name] = COALESCE(R.[Release_Name], R.[Release_Number])
       ,B.[Build_Id]
       ,B.[Build_Number]
       
    FROM [PipelineStageTargetExecutions] BE

    INNER JOIN [Executions] X
            ON BE.[Execution_Id] = X.[Execution_Id]
    INNER JOIN [BuildPromotions] BP
            ON BP.[Promotion_Id] = BE.[Promotion_Id]
    INNER JOIN [Builds] B
            ON B.[Build_Id] = BP.[Build_Id]
    INNER JOIN [Releases] R
            ON R.[Release_Id] = B.[Release_Id]
    INNER JOIN [Applications] A
            ON A.[Application_Id] = R.[Application_Id]
    LEFT JOIN [Environments] E
            ON E.[Environment_Name] = BE.[Environment_Name]

    WHERE B.[BuildStatus_Name] <> 'Rejected'
      AND R.[ReleaseStatus_Name] <> 'Cancelled'


GO
