IF OBJECT_ID('[Deployables_Extended]') IS NOT NULL DROP VIEW [Deployables_Extended]
GO

CREATE VIEW [Deployables_Extended] AS

SELECT D.[Deployable_Id]
      ,D.[Deployable_Name]
      ,D.[CreatedBy_User_Name]
      ,D.[CreatedOn_Date]
      ,D.[ModifiedBy_User_Name]
      ,D.[ModifiedOn_Date]

      ,A.[Application_Id]
      ,A.[Application_Name]

      ,[Dependencies_Count] =
                             (SELECT COUNT(*) FROM [DeployableDependencies] _DD
                               WHERE _DD.[Deployable_Id] = D.[Deployable_Id])
      ,[Dependants_Count] = 
                             (SELECT COUNT(*) FROM [DeployableDependencies] _DD
                               WHERE _DD.[DependsOn_Deployable_Id] = D.[Deployable_Id])

FROM [Deployables] D
JOIN [Applications] A
  ON A.[Application_Id] = D.[Application_Id]
GO
