EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Applications_AddImportedDeployable',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Adds an imported deployable to an application'
GO

IF OBJECT_ID('[Applications_AddImportedDeployable]') IS NOT NULL DROP PROCEDURE [Applications_AddImportedDeployable]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Applications_AddImportedDeployable]
(
	@Deployable_Id INT,
	@Application_Id INT
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION
		
		IF NOT EXISTS(
			SELECT * FROM DeployablesImported
			WHERE [Deployable_Id] = @Deployable_Id
			  AND [Application_Id] = @Application_Id
		)
		BEGIN
			INSERT INTO [DeployablesImported]
			(
				[Deployable_Id],
				[Application_Id]
			)
			VALUES
			(
				@Deployable_Id,
				@Application_Id
			)
		END

		/* Raise Application Modified Event */
		EXEC [Events_RaiseEvent] 'APPMDD',@Application_Id,@Deployable_Id

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [Applications_AddImportedDeployable] TO [BuildMasterUser_Role]