EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Applications_DeleteImportedDeployable',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes an existing imported deployable relation, but does not delete the deployable from the host application'
GO

IF OBJECT_ID('[Applications_DeleteImportedDeployable]') IS NOT NULL DROP PROCEDURE [Applications_DeleteImportedDeployable]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Applications_DeleteImportedDeployable]
(
	@Deployable_Id INT,
	@Application_Id INT
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

		DELETE [DeployablesImported]
		WHERE [Deployable_Id] = @Deployable_Id
		  AND [Application_Id] = @Application_Id

		/* Raise Application Modified Event */
		EXEC [Events_RaiseEvent] 'APPMDD',@Application_Id,@Deployable_Id

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [Applications_DeleteImportedDeployable] TO [BuildMasterUser_Role]