EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Builds_GetStageExecutions',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'PipelineStageDeploymentExecutions_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all the pipeline stage executions for the specified build.'
GO

IF OBJECT_ID('[Builds_GetStageExecutions]') IS NOT NULL DROP PROCEDURE [Builds_GetStageExecutions]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Builds_GetStageExecutions]
(
	@Build_Id INT
)
AS
BEGIN

	SELECT * FROM [PipelineStageDeploymentExecutions_Extended]
	 WHERE [Build_Id] = @Build_Id
END
GO

GRANT EXECUTE ON [Builds_GetStageExecutions] TO [BuildMasterUser_Role]
