EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Promotions_GetApprovalsReceived',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'BuildApprovalsReceived_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all requirements and approvals received for the specified promotion.'
GO

IF OBJECT_ID('[Promotions_GetApprovalsReceived]') IS NOT NULL DROP PROCEDURE [Promotions_GetApprovalsReceived]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Promotions_GetApprovalsReceived]
(
	@Build_Id INT,
	@PipelineStage_Name VARCHAR(50),
	@Approval_Id INT = NULL
) AS BEGIN

SET NOCOUNT ON

	IF @Approval_Id IS NULL
	BEGIN

		SELECT *
		  FROM [BuildApprovalsReceived_Extended]
		 WHERE [Build_Id] = @Build_Id
		   AND (@PipelineStage_Name IS NULL OR [PipelineStage_Name] = @PipelineStage_Name)

	END
	ELSE
	BEGIN

		SELECT *
		  FROM [BuildApprovalsReceived_Extended]
		 WHERE [Approval_Id] = @Approval_Id

	END

END
GO

GRANT EXECUTE ON [Promotions_GetApprovalsReceived] TO [BuildMasterUser_Role]